var smpl_niviewer =
[
    [ "Capture.cpp file", "smpl_niviewer_capture_cpp.html", [
      [ "Global Type Declarations for Capture.cpp", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_decls", [
        [ "Type definition:  CapturingState enum", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_decls_CapturingState", null ],
        [ "Type definition:   CaptureNodeType enum", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_decls_CaptureNodeType", null ],
        [ "Type definition:   NodeCapturingData structure", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_decls_NodeCapturingData", null ],
        [ "Type definition:  CapturingData struct", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_decls_CapturingData", null ]
      ] ],
      [ "Global Variable Declarations for Capture.cpp", "smpl_niviewer_capture_cpp.html#capture_cpp_glb_vars", null ],
      [ "Function: captureInit() - Initializes the Primary Stream and the Resolutions", "smpl_niviewer_capture_cpp.html#capture_cpp_captureinit", null ],
      [ "Function: isCapturing() - Are the Generator nodes in  Capturing State", "smpl_niviewer_capture_cpp.html#capture_cpp_isCapturing", null ],
      [ "Function: captureOpenWriteDevice() -  Open a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_OpenWriteDevice", null ],
      [ "Function: captureBrowse() -  Opens a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_Browse", null ],
      [ "Function: captureStart() -  Starts the Capturing Process", "smpl_niviewer_capture_cpp.html#capture_cpp_Start", null ],
      [ "Function: captureCloseWriteDevice() -  Closes a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_CloseWriteDevice", null ],
      [ "Function: captureRestart() -  Restarts the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureRestart", null ],
      [ "Function: captureStop() -  Stops the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureStop", null ],
      [ "Function: captureFrame() -  Main State Machine for Capturing Frames from Generator Nodes", "smpl_niviewer_capture_cpp.html#capture_cpp_captureFrame", [
        [ "SHOULD_CAPTURE state", "smpl_niviewer_capture_cpp.html#capture_cpp_captureframe_should_capture_st", null ],
        [ "CAPTURING state", "smpl_niviewer_capture_cpp.html#capture_cpp_captureframe_capturing_st", null ]
      ] ],
      [ "Function: captureSetFormat() -  Selects a New Codec for Recording", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat", null ],
      [ "Function group: 'Set Format' for each Production Node", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat_grp", null ],
      [ "Function: getCodecName() -  Gets Text Name of Node's  Current Codec", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName", null ],
      [ "Function group: 'getCodecName' for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName_grp", null ],
      [ "Function: 'getCaptureMessage()'", "smpl_niviewer_capture_cpp.html#capture_cpp_getCaptureMessage", null ],
      [ "Function group: 'Get File Name' - Build a file name for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getFileName_grp", null ],
      [ "Function: findUniqueFileName() -  Builds a Unique File Name for Saving a Captured Data Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_findUniqueFileName", null ],
      [ "Function: captureSingleFrame() -  Captures a Single Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_captureSingleFrame", null ]
    ] ],
    [ "Device.cpp file", "smpl_niviewer_device_cpp.html", [
      [ "Main File Declarations", "smpl_niviewer_device_cpp.html#device_cpp_decls", null ],
      [ "- onErrorStateChanged() - Callback invoked when  the Error State Changed", "smpl_niviewer_device_cpp.html#device_cpp_initConstants", null ],
      [ "- openCommon() - Common Initialize Function", "smpl_niviewer_device_cpp.html#device_cpp_openCommon", null ],
      [ "- openDeviceFile() - Builds a Production Graph from an OpenNI Recording File", "smpl_niviewer_device_cpp.html#device_cpp_openDeviceFile", null ],
      [ "- openDeviceFromXml() - Builds a Production Graph from an OpenNI XML Script File", "smpl_niviewer_device_cpp.html#device_cpp_openDeviceFromXml", null ],
      [ "- openDeviceFromXmlWithChoice() - Builds a Production Graph from an XML Script, Allowing User to Select a Device", "smpl_niviewer_device_cpp.html#device_cpp_openDeviceFromXmlWithChoice", null ],
      [ "- closeDevice() - Releases all the Production Nodes", "smpl_niviewer_device_cpp.html#device_cpp_closeDevice", null ],
      [ "readFrame() function - Reads a Data frame from each Generator", "smpl_niviewer_device_cpp.html#device_cpp_readFrame", null ],
      [ "changeRegistration() - Changes the View Point Registration", "smpl_niviewer_device_cpp.html#device_cpp_changeRegistration", null ],
      [ "changePrimaryStream() function - Change the Primary stream", "smpl_niviewer_device_cpp.html#device_cpp_changePrimaryStream", null ],
      [ "createStream() - Creates a New Data Generatation Node", "smpl_niviewer_device_cpp.html#device_cpp_createStream", null ],
      [ "toggleStream() - Toggles between Starting and Stopping a Generator Node", "smpl_niviewer_device_cpp.html#device_cpp_toggleStream", null ],
      [ "Starting and Stopping each of the Generators", "smpl_niviewer_device_cpp.html#device_cpp_StartStopGen", null ],
      [ "Function: toggleMirror() - Toggles the Global Mirror", "smpl_niviewer_device_cpp.html#device_cpp_ToggleMirror", null ],
      [ "Function: seekFrame() - Seeks a Data Frame in a Recording", "smpl_niviewer_device_cpp.html#device_cpp_seekFrame", null ],
      [ "Function: is 'Generator' On function", "smpl_niviewer_device_cpp.html#device_cpp_isgenon", null ],
      [ "Function: setResolution() - Sets the Resolution of the Output Map", "smpl_niviewer_device_cpp.html#device_cpp_setResolution", null ],
      [ "Function: setFPS() - Selects a Resolution for the Output Map", "smpl_niviewer_device_cpp.html#device_cpp_setfps", null ],
      [ "'setResolution/Fps()' - Group of Functions for Setting Resolutions and Frame Rates", "smpl_niviewer_device_cpp.html#device_cpp_grp_setResolutionFps", null ],
      [ "Function: setStreamCropping() - Crops the Map Area of the Generator Output", "smpl_niviewer_device_cpp.html#device_cpp_setStreamCropping", null ],
      [ "Function: setPlaybackSpeed() - Sets the  playback speed", "smpl_niviewer_device_cpp.html#device_cpp_setPlaybackSpeed", null ],
      [ "Function: getPlaybackSpeed() - Gets the  playback speed", "smpl_niviewer_device_cpp.html#device_cpp_getPlaybackSpeed", null ],
      [ "Function: setFPS() - Group of Functions for Setting Resolutions and Frame Rates", "smpl_niviewer_device_cpp.html#device_cpp_grp_getobject", null ]
    ] ],
    [ "Draw.cpp file", "smpl_niviewer_draw_cpp.html", [
      [ "Global Type Declarations for Capture.cpp", "smpl_niviewer_draw_cpp.html#draw_cpp_glb_decls", null ],
      [ "Functions GetPowerOfTwo() to setErrorState()", "smpl_niviewer_draw_cpp.html#draw_cpp_fns_getpoweroftwo_to_setErrorState", null ],
      [ "Function: drawCropStream() - Draws a Cropped Map from the Generator nodes", "smpl_niviewer_draw_cpp.html#draw_cpp_drawcropstream", null ],
      [ "Function: drawSelectionChanged() - Callback invoked when Draw Selection has Changed", "smpl_niviewer_draw_cpp.html#draw_cpp_drawSelectionChanged", null ],
      [ "Function: calculateHistogram() - Calculates Depth Histogram", "smpl_niviewer_draw_cpp.html#draw_cpp_calculateHistogram", null ],
      [ "Function: YUV422ToRGB888() - Converts Formats", "smpl_niviewer_draw_cpp.html#draw_cpp_YUV422ToRGB888", null ],
      [ "Function: drawClosedStream() - Converts Formats", "smpl_niviewer_draw_cpp.html#draw_cpp_drawClosedStream", null ],
      [ "Function: drawColorImage() - Draws the Color Image Map", "smpl_niviewer_draw_cpp.html#draw_cpp_drawColorImage", null ],
      [ "Function: drawDepth() - Draws the Depth Map", "smpl_niviewer_draw_cpp.html#draw_cpp_drawDepth", null ]
    ] ],
    [ "Statistics.cpp file", "smpl_niviewer_stat.html", [
      [ "Global Type Declarations for Statistics.cpp", "smpl_niviewer_stat.html#statistics_cpp_glb_decls", null ],
      [ "Function: statisticsInit() - Initializes the Statistics Collecting Mechanism", "smpl_niviewer_stat.html#statistics_cpp_statisticsinit", null ],
      [ "Function: statisticsAddFrame() - Adds a Further Data Frame to the Statistics Collection", "smpl_niviewer_stat.html#statistics_cpp_statisticsaddframe", null ]
    ] ]
];